Subject: Re: bug#52245: Wishlist: cycle input methods

From: Robert Pluim <[email-masked]>
Date: Tue, 07 Dec 2021 17:30:19 +0100

>>>>> On Tue, 07 Dec 2021 15:57:55 +0000, André A. Gomes <[email-masked]> said:

    André> Robert Pluim <[email-masked]> writes:
    >>>>>>> On Thu, 02 Dec 2021 20:14:00 +0200, Eli Zaretskii <[email-masked]> said:
    >> 
    Eli> That's okay, but we should have this as an optional behavior, so that
    Eli> people could still toggle only between some input method and no input
    Eli> method with a single C-\, even if they defined a list of them.
    >> 
    >> It would be optional: people who choose to customize
    >> default-input-method to a list get the behaviour, people who leave it
    >> as a symbol donʼt. I donʼt see why weʼd need to add
    >> yet-another-variable to essentially say "ignore this request you've
    >> made via this other variable".

    André> If I understand correctly, we're not discussing variables but commands.
    André> Eli urges that it's import to keep C-\ as a toggle, and to add another
    André> command to cycle the ring.  Seems fair to me, so that the old behaviour
    André> is preserved.

We can keep C-\ as a toggle, 100% identical to how it works today. All
people who have customized `default-input-method' to a single value
have to do is nothing whatsoever.

If weʼre now saying we want a separate command that cycles through a
list of input methods, then we might as well add a separate user
option for that list (and then we could add *another* user option
called input-method-toggle-or-cycle to indicate which command should
be used for C-\)

I guess we could also have C-u C-u C-\ mean 'cycle', but thatʼs
unergonomic.

Robert
--